kicad (9.0.3+dfsg-1) unstable; urgency=medium

  [ Simon Richter ]
  * [b6cdb99] Only configure directory that will be built
  * [ac26b99] Split off build dependencies for documentation

  [ Carsten Schoenert ]
  * [0be6357] New upstream version 9.0.3+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Jul 2025 09:55:56 +0200

kicad (9.0.2+dfsg-1) unstable; urgency=medium

  * [2c5aa4f] New upstream version 9.0.2+dfsg
  * [1e1cda8] d/copyright: Replace old FSF address with URL

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 May 2025 11:34:36 +0200

kicad (9.0.1+dfsg-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [23d6e54] New upstream version 9.0.1+dfsg
  * [3682fc3] d/control: Increase Standards-Version to 4.7.2
    + No further changes needed.
  * [3f344b9] d/kicad-demos.install: Add new subfolder to install

  [ RICCIARDI-Adrien ]
  * [1c64540] Rebuild patch queue from patch-queue branch
    + Updated patch:
      fixes/Adjusting-content-in-the-desktop-files.patch
      See also
      https://salsa.debian.org/electronics-team/KiCad/kicad/-/merge_requests/2

  [ John Paul Adrian Glaubitz ]
  * [5f03e00] d/rules: Add needed linking for armel m68k powerpc sh4
    (Closes: #1098791)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 04 Apr 2025 16:07:28 +0200

kicad (9.0.0+dfsg-1) unstable; urgency=medium

  * [90a9b14] d/gbp.conf: Filter out one more PDF file
  * [a4131fc] New upstream version 9.0.0+dfsg
    (Closes: #1098475)
  * [651264e] d/control: Add new needed Build-Deps
  * [46e8aec] d/kicad.install.in: Add libkiapi to sequencer
  * [80f8e81] d/rules: Add new CMAKE option to DEB_KICAD_CMAKE_OPTS
  * [5341af1] d/s/lintian-overrides: Ignore non relevant Lintian detection
  * [f2b0e1a] d/copyright: Update copyright information
  * [39aae5e] d/kicad.lintian-overrides: Adjust content due changes
  * [f3a620c] d/README.vendorded-stuff: Some more notes
  * [83f540d] d/rules: Remove more unwanted files in kicad-demos
  * [c50fcfa] d/rules: Use upper case, not one char variable names
  * [3104e18] d/control: Increase Standards-Version to 4.7.1
    + No further changes needed.
  * [b04b0d0] d/control: Bump Bre/Sug/Rec versions to >=/<< 9.0.0~
  * [5069e37] d/t/control: Sort entries by wrap-and-sort

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Feb 2025 17:00:42 +0200

kicad (8.0.8+dfsg-1) unstable; urgency=medium

  * [414e014] New upstream version 8.0.8+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jan 2025 10:43:51 +0200

kicad (8.0.7+dfsg-2) unstable; urgency=medium

  * [7ee0ffc] d/rules: Ignore dh_dwz on armhf
    This architecture is providing too less memory dwz could be running
    succesfully.
    (Closes: #1091284)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Dec 2024 11:30:34 +0200

kicad (8.0.7+dfsg-1) unstable; urgency=medium

  * [b0daff1] New upstream version 8.0.7+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Dec 2024 13:46:07 +0200

kicad (8.0.6+dfsg-1) unstable; urgency=medium

  * [6b82f1b] New upstream version 8.0.6+dfsg
    (Closes: #1084283)
  * [899692f] Rebuild patch queue from patch-queue branch
    + Updated patch:
      reproducibility/doc-Add-field-revdate-to-asciidoc-files.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Oct 2024 19:16:53 +0200

kicad (8.0.5+dfsg-1) unstable; urgency=medium

  * [22aec90] New upstream version 8.0.5+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Sep 2024 17:23:50 +0200

kicad (8.0.4+dfsg-1) unstable; urgency=medium

  * [53b587f] New upstream version 8.0.4+dfsg
  * [c6b9160] Rebuild patch queue from patch-queue branch
    + Added patch:
      fixes/python-Use-raw-strings-expressions.patch
  * [a337b7b] d/rules: Clean out .mypy_cache folders in dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Jul 2024 17:32:31 +0200

kicad (8.0.3+dfsg-1) unstable; urgency=medium

  * [f7d4143] New upstream version 8.0.3+dfsg
  * [cf2b4b4] Rebuild patch queue from patch-queue branch
    + Added patch:
      fixes/demos-Adjust-MIME-encoding-to-UTF8-of-some-libraries.patch
  * [67536f2] d/copyright: Update content due added folder by upstream
  * [d1377f8] Revert "Adding ldconfig triggering file"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 05 Jun 2024 20:29:30 +0200

kicad (8.0.2+dfsg-1) unstable; urgency=medium

  [ zhangdandan ]
  * [0ae6094] d/control: Add loongarch64 architecture
    (Closes: #1059016)

  [ Carsten Schoenert ]
  * [4568d39] d/copyright: Updating due upstream modifications
  * [db730d5] New upstream version 8.0.2+dfsg
  * [b2841ed] d/control: Increase Standards-Version to 4.7.0
  yy  + No further changes needed.
  * [d788d27] d/k.lintian-overrides: Ignore ships-undeclared-shared-library
  * [5a6d93d] d/copyright: Small adjustment on filtered content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 May 2024 11:47:38 +0200

kicad (8.0.1+dfsg-1) unstable; urgency=medium

  * [ed981e2] d/gbp.conf: Add more content to filter out
  * [585ff35] New upstream version 8.0.1+dfsg
    (Closes: #1064546)
  * [b679e37] d/control: Bump Bre/Sug/Rec versions to >=/<< 8.0.1~
  * [aa552a3] Rebuild patch queue from patch-queue branch
    + Dropped patch:
      porting-kfreebsd-hurd/Fix-FTBFS-on-kFreeBSD-and-Hurd.patch
  * [32d5f0e] d/control: Add new build dependencies
    The build requires now libgit2-dev and libsecret-1-dev.
  * [2e4fe8c] d/kicad.install.in: Add libki{common,gal} to sequencer
  * [fc20fca] d/kicad-demos.install: Adjust sequencer data to install
  * [a2ca39d] d/control: Adjust obsolet pkg-config => pkgconf
  * [064d10c] d/kicad.lintian-overrides: Adjust some overrides

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 14:58:18 +0100

kicad (7.0.11+dfsg-1) unstable; urgency=medium

  * [4cd41de] New upstream version 7.0.11+dfsg
  * [ec30213] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Feb 2024 18:59:55 +0100

kicad (7.0.10+dfsg-1) unstable; urgency=medium

  * [c5309bc] New upstream version 7.0.10+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Dec 2023 17:02:59 +0100

kicad (7.0.9+dfsg-1) unstable; urgency=medium

  * [2daca8b] New upstream version 7.0.9+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Nov 2023 20:22:14 +0100

kicad (7.0.8+dfsg-1) unstable; urgency=medium

  * [139e7f5] New upstream version 7.0.8+dfsg
  * [b5ed954] Rebuild patch queue from patch-queue branch
    + Just refreshed existing patches.
  * [0572553] d/control: Bump kicad-* versions to >= 7.0.0~
    (Closes: #1050882)
  * [195174f] d/kicad.lintian-overrides: Small adjustment about wTH/wtH
  * [ba72234] d/kicad.lintian-overrides: be more lazy on arch paths
  * [7ee9704] d/copyright: File common/lockfile.cpp was removed

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Oct 2023 10:54:42 +0200

kicad (7.0.7+dfsg-1) unstable; urgency=medium

  * [5ab605a] New upstream version 7.0.7+dfsg
  * [3a7f4d5] Rebuild patch queue from patch-queue branch
    + added patch:
      debian-hacks/KiCadFullVersion-Drop-hyphen-in-the-string.patch
    + dropped patch (applied upstream):
      fixes/Fix-dblatex-options-within-cmake-file.patch
    + modified/renamed patch:
      reproducibility/add-field-revdate-to-asciidoc-files-of-documentation.patchi
      -> debian/patches/reproducibility/doc-Add-field-revdate-to-asciidoc-files.patch
  * [b4306e8] d/rules: Add KICAD_VERSION_EXTRA to DEB_KICAD_CMAKE_OPTS
    Use the option to set a suffix to the by CMake provided version string
    through a configure option, by this we don't need to modify source code
    file before start the package build. This would break calling
    dpkg-buildpackage twice as dpkg-source will detect modification within
    the source if called after the first build.
  * [e571530] d/rules: Add target override_dh_clean
    Clean out debian/build if exists, would also break dpkg-source.
    (Closes: #1047477)
  * [ff93a8a] d/rules: Resize the icon in the package data
    Do not modify the XPM based icon within the source, same again, dpkg-source
    will detect modified source then.
  * [81bb2e8] d/rules: Don't modify Asciidoc files for now
    Adding a unique timestamp to the Asciidoc files will need more effort,
    the build isn't reproducible anyway, so drop that modification while build
    for now.
  * [1bc5733] d/rules: Drop non existing options from DEB_KICAD_CMAKE_OPTS
    Some of previous used and needed CMake options are now no longer
    provided or required any longer.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Aug 2023 17:25:09 +0200

kicad (7.0.6+dfsg-1) unstable; urgency=medium

  * [6fce285] New upstream version 7.0.6+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Jul 2023 08:35:31 +0200

kicad (7.0.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Jun 2023 17:51:34 +0200

kicad (7.0.5+dfsg-1) experimental; urgency=medium

  * [6d70960] New upstream version 7.0.5+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 May 2023 07:55:56 +0200

kicad (7.0.3+dfsg-1) experimental; urgency=medium

  * [8a432b5] New upstream version 7.0.3+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 May 2023 08:48:02 +0200

kicad (7.0.2+dfsg-1) experimental; urgency=medium

  * [dbbb7ab] New upstream version 7.0.2+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 18 Apr 2023 19:13:34 +0200

kicad (7.0.1+dfsg-1) experimental; urgency=medium

  * [1632fc8] d/t/control: Remove not used package from Depends
    (Closes: #1018386)
  * [4e67a4b] d/gbp.conf: Exclude thirdparty/sentry-native on import
  * [01c253a] New upstream version 7.0.1+dfsg
    (Closes: #1031345)
  * [71f9595] d/control: Add new required B-D on unixodbc-dev
  * [32e4562] d/rules: Adjust targets due changed upstream source
  * [c074c04] d/kicad.install.in: Adjustments due changes by upstream
  * []861d40] d/copyright: Updating due upstream modifications
  * [5421020] d/kicad.lintian-overrides: Update entries due changes
  * [d2d2e6c] Lintian: Add overrides for the source
  * [4143571] d/README.vendorded-stuff: Some notes about vendored stuff
  * [64481a3] d/control: Bump suggested/recommended versions to >= 7.0.1~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Mar 2023 17:40:58 +0100

kicad (6.0.11+dfsg-1) unstable; urgency=medium

  * [f3f2ba1] New upstream version 6.0.11+dfsg
  * [a9cd33d] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Jan 2023 06:35:43 +0100

kicad (6.0.10+dfsg-2) unstable; urgency=medium

  * [5a3af46] Revert "d/rules: Turn option KICAD_USE_EGL on"
    wxWidgets 3.2 in Debian has now no EGL canvas support compiled in any
    more. More to the reasoning about the switch back can be found on
    https://bugs.debian.org/1020640
    https://bugs.debian.org/1024147
    (Closes: #1027137)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Dec 2022 18:43:50 +0100

kicad (6.0.10+dfsg-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * [789343b] d/control: Add riscv64 to supported architectures
    (Closes: #1025032)

  [ Carsten Schoenert ]
  * [96d4c35] New upstream version 6.0.10+dfsg
  * [66457b6] d/control: Increase Standards-Version to 4.6.2
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Dec 2022 20:24:32 +0100

kicad (6.0.9+dfsg-1) unstable; urgency=medium

  * [e85c0b0] New upstream version 6.0.9+dfsg
  * [7e86aff] Rebuild patch queue from patch-queue branch
    + modified patch:
      reproducibility/add-field-revdate-to-asciidoc-files-of-documentation.patch
  * [8403644] d/rules: Adjust file list in ASCIIDOCFILES

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Oct 2022 13:54:45 +0200

kicad (6.0.8+dfsg-1) unstable; urgency=medium

  * [3f92c9a] New upstream version 6.0.8+dfsg
  * [29b0004] d/copyright: Updating due upstream modifications
  * [3746b07] Rebuild patch queue from patch-queue branch
    + modified patch:
      reproducibility/add-field-revdate-to-asciidoc-files-of-documentation.patch
  * [bc8a6bc] d/rules: Adjust file list in ASCIIDOCFILES

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Oct 2022 17:10:36 +0200

kicad (6.0.7+dfsg-3) unstable; urgency=medium

  * [78fe67e] d/control: Pin min python3-wxgtk4.0 version
    By this version requirement kicad will pull python3-wxgtk4.0 with
    version 4.2.0+dfsg-1~ or greater. This isn't really fixing the
    referenced bug report, the authors of plugins for KiCad really need to
    do some version checking of the environment and not blindly assume that
    every required package is available in the correct version!
    (Closes: #1019954)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Sep 2022 18:09:00 +0200

kicad (6.0.7+dfsg-2) unstable; urgency=medium

  * [ddaeec5] d/t/control: Remove not used package from Depends
    (Closes: #1018386)
  * [0cbd959] d/control: Move over to use wxwidgets3.2
    (Closes: #1019788)
  * [a217cbb] d/rules: Turn option KICAD_USE_EGL on
  * [8bbcedb] d/kicad.lintian-overrides: Update entries to new syntax

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Sep 2022 09:27:29 +0200

kicad (6.0.7+dfsg-1) unstable; urgency=medium

  * [d4ef5ac] New upstream version 6.0.7+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Jul 2022 12:22:50 +0200

kicad (6.0.6+dfsg-1) unstable; urgency=medium

  * [67d4f3c] New upstream version 6.0.6+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 20 Jun 2022 20:00:05 +0200

kicad (6.0.5+dfsg-1) unstable; urgency=medium

  * [5517201] New upstream version 6.0.5+dfsg
  * [883c6f9] d/control: increase Standards-Version to 4.6.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 May 2022 17:05:13 +0200

kicad (6.0.4+dfsg-1) unstable; urgency=medium

  * [5ca14e6] New upstream version 6.0.4+dfsg
  * [370446a] d/copyright: Update due updated upstream modifications
  * [e7c121e] d/k-packages-relations.dia: Remove transitional package
  * [1418856] Rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Mar 2022 07:53:12 +0100

kicad (6.0.2+dfsg-1) unstable; urgency=medium

  * [5e64c37] New upstream version 6.0.2+dfsg
  * [iec7346] d/control: Adjust Vcs-Browser field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Feb 2022 10:36:02 +0100

kicad (6.0.1+dfsg-1) unstable; urgency=medium

  [ Simon Richter ]
  * [376e8c6] d/rules: Generate bpo friendly version dependencies
    (Closes: #1003232)

  [ Carsten Schoenert ]
  * [bb95051] New upstream version 6.0.1+dfsg
  * [d9c5702] Rebuild patch queue from patch-queue branch
  * [52fd7fd] Adding ldconfig triggering file
  * [ec04bf7] d/kicad.lintian-overrides: Ignore no-shlibs warning

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jan 2022 16:08:27 +0100

kicad (6.0.0+dfsg1-2) unstable; urgency=medium

  * [215faf4] d/control: Use libpython3-dev instead libpython3-all-dev
    + Don't use libpython3-all-dev within the Duild-Depends, use
      libpython3-dev to get the current pkgconfig data for Python.
    (Closes: #1003043)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 03 Jan 2022 21:32:23 +0100

kicad (6.0.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * [5fc81d7] New upstream version 6.0.0+dfsg1
    (Closes: #916461)
  * [4fbf1ac] d/control: Ensure old kicad libraries will get removed
  * [8b402af] d/README.Debian: Important version 6 information
  * [57bcf6d] d/kicad.NEWS: Keep user notified about version 6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Jan 2022 15:20:04 +0100

kicad (6.0.0~rc2+dfsg1-2) experimental; urgency=medium

  * [78bd51c] d/control: Enable architecture powerpc and ppc64 (again)
    + Support for both platforms were added upstream several months ago.
    (Closes: #1002629)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Dec 2021 11:34:57 +0100

kicad (6.0.0~rc2+dfsg1-1) experimental; urgency=medium

  * [554a963] d/kicad.lintian-overrides: Update tag name due renaming
    + The previous used lintian tag 'binary-without-manpage' was renamned to
      'no-manual-page'.
  * [8baf23a] d/gbp.conf: Ignore the upstream GitLab CI pipeline
    + Filter out any files named '.gitlab-ci.yml' that would trigger pipelines
      on Salsa thta can't work.
  * [1153d7b] New upstream version 6.0.0~rc2+dfsg1
  * [27b86ce] d/kicad.lintian-overrides: Update tag name due renaming
    + One more tag that was renamed, 'non-dev-pkg-with-shlib-symlink' is now
      called 'link-to-shared-library-in-wrong-package'.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Dec 2021 09:48:18 +0100

kicad (6.0.0~rc1+dfsg1-1~exp1) experimental; urgency=medium

  * [bd7a6c0] New upstream version 6.0.0~rc1+dfsg1
  * [384907f] d/kicad.install.in: Install also new schemas related data
    + The plugin and content manager (PCM) feature uses the folder
      /usr/share/kicad/schemas to provide JSON files to configure this new
      option.
  * [ac0ba22] d/copyright: Update due updated upstream modifications
  * [03246e0] d/control: Use branch debian/experimental in Vcs-*
  * [070b8c9] d/*: Exchange various old homepage references for kicad-pcb.org
    (Closes: #997958)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Nov 2021 20:15:37 +0100

kicad (6.0.0~20211007.57c7d66+dfsg1-1) experimental; urgency=medium

  * [5f82e7b] New upstream version 6.0.0~20211007.57c7d66+dfsg1
    + Use a snapshot version from 2021-10-07 as upstream version.
  * [2182525] Rebuild patch queue from patch-queue branch
    + renamed and modified patch:
      fixes/Modifying-the-Exec-cmd-in-the-desktop-files.patch
      -> debian/patches/fixes/Adjusting-content-in-the-desktop-files.patch
    + removed patch (fixed upstream):
      fixes/Appdata-Add-missing-desktop-entry.patch
  * [0592d41] d/control: increase Standards-Version to 4.6.0
    + No further changes needed.
  * [1981eb7] d/copyright: Updating due upstream modifications

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Oct 2021 08:35:02 +0200

kicad (6.0.0~20210815.4852177+dfsg1-1) experimental; urgency=medium

  * [6e326b0] New upstream version 6.0.0~20210815.4852177+dfsg1
    + Use a snapshot version from 2021-08-15 as upstream version.
  * [3fb49dc] rebuild patch queue from patch-queue branch
    + modified patch:
      fixes/Modifying-the-Exec-cmd-in-the-desktop-files.patch
  * [2876609] d/copyright: Update due updated upstream modifications
  * [ebed16f] d/u/metadata: Add basic metadata information

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Aug 2021 11:16:53 +0200

kicad (6.0.0~20210702.eff75b6+dfsg1-1) experimental; urgency=medium

  * [2b65b01] New upstream version 6.0.0~20210702.eff75b6+dfsg1
    + Use a snapshot version from 2021-07-02 as upstream version.
  * [7d8d08d] d/copyright: Update due updated upstream modifications

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Jul 2021 13:38:53 +0200

kicad (6.0.0~20210602.6919d12+dfsg1-1) experimental; urgency=medium

  * [cfea635] New upstream version 6.0.0~20210602.6919d12+dfsg1
    + Use a snapshot version from 2021-06-02 as upstream version.
  * [79ac6ab] rebuild patch queue from patch-queue branch
    + modified patches:
      reproducibility/add-field-revdate-to-asciidoc-files-of-documentation.patch
  * [95156f3] d/rules: Remove non existing *.adoc file ASCIIDOCFILES
    + Related to the needed adjustment of the patch queue there is also a
      change to the list of *.adoc files needed we modify before starting the
      build of documentation. It's simply a removal of a now non existing file.
  * [31f0b0e] d/control: Switch to asciidoctor within Build-Depends
    + Upstream has moved over to asciidoctor instead of using asciidoc.
  * [6d13ce7] d/rules: Only create HTML documentation for now
    + Within the switch to asciidoctor upstream has also changed the way the
      PDF files are created, it's based on the NPM package asciidoctor-pdf
      (https://www.npmjs.com/package/asciidoctor-pdf) which isn't packaged
      in Debian. The remaining options of using dblatex or fop are
      unfortunately broken right now.
  * [2c5d1a3] d/kicad.{install.in,links} Adding new file
    + Adding the newly created file usr/bin/_kipython.kiface to the kicad
      binary package.
  * [6ef4b09] d/copyright: Update due updated upstream modifications
  * [edc4118] doc-base: Remove references to PDF files
    + Remove any PDF references within the doc-base definitions, we don't
      build any PDF based documentation currently.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Jun 2021 11:45:42 +0200

kicad (6.0.0~20210502.6b9e44e+dfsg1-1) experimental; urgency=medium

  * [ba72b1d] New upstream version 6.0.0~20210502.6b9e44e+dfsg1
    + New snapshot version from 2021-05-02 as upstream version.
  * [a6fa3d0] rebuild patch queue from patch-queue branch
    + modified patches:
      fixes/Appdata-Add-missing-desktop-entry.patch
      fixes/Modifying-the-Exec-cmd-in-the-desktop-files.patch
  * [7a20d3f] d/kicad.install.in: Adjust install of kicad.metainfo.xml
    + The metainfo file is now installed by upstream into the correct folder,
      no need to move the file between folders.
  * [8a5a77b] d/copyright: Update of org.kicad.kicad.metainfo.xml.in

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 May 2021 18:04:25 +0200

kicad (6.0.0~20210410.4c9f7c4+dfsg1-1) experimental; urgency=medium

  * [618900e] d/gbp.conf: remove component i18n
    + The UI localization for KiCad was handled previously as a dedicated
      component tarball. Starting with version 5.99.0 the i18n stuff is now
      included within the main tarball, thus we don't need to work with a
      component tarball any more.
  * [b85bbb5] New upstream version 6.0.0~20210410.4c9f7c4+dfsg1
    + Use a snapshot version from 2021-04-10 as upstream version.
  * [594960a] rebuild patch queue from patch-queue branch
    + modified patches:
      fixes/Appdata-Add-missing-desktop-entry.patch
    + modified and renamed patch:
      fixes/Modifing-the-Exec-cmd-in-the-desktop-files.patch -->
      fixes/Modifying-the-Exec-cmd-in-the-desktop-files.patch
    + removed patch:
      fixes/spelling-fix-allows-to-allows-one-to.patch
  * [bbd8bfb] d/rules: Remove CMake option for GitHub Plugin
    + The integration of managing GitHub repositories as symbols or
      footprints has been removed. So removing the old cmake config option
      accordingly.
  * [592d791] d/rules: Set build of i18n and demos explicitly on
    + Even if this option is set default to on, this can change due decisions
      by upstream. We always want to build and install the i18n things, so
      being better explicit on this.
  * [3c63d5e] d/rules: Install i18n files into useful folder
    + The cmake configuration doesn't set the FHS conform installation folder
      for the compiled i18n message catalogs so we need to set this option.
  * [34a11a0] d/rules: Be more explicit while modify the version string
    + We want to use the Debian version within the version information instead
      of a upstream combined version string. The configuration variable to
      inject the version into the UI has been modified so we need to adjust
      our version replacement.
  * [e61b38c] d/rules: Remove old i18n build and install stuff
    + Due the now included i18n stuff inside the source of KiCad we can drop
      all previously dedicated added build instructions inside debian/rules.
  * [ab91cba] d/control: Adding new required packages for the build
    + The build requires now the packages 'libgtk-3-dev' and
      'libpython3-all-dev' to be around.
  * [1a1af8e] d/control: Increase required kicad version >= 6.0.0~
    + Increase the depending and suggested version for kicad and additional
      kicad-* packages to at least 6.0.0~.
  * [ac9f8fc] d/kicad-demos.install: Adjust files to install
    + Reflect the now added demo project 'stickhub' and changed file extension
      for project files in the kicad-demos package.
  * [3d81ce1] d/kicad.install.in: Adding new additional folder to install
    + All used icons within the UI are taken now from a file 'images.tar.gz'
      at runtime, adding the installation of the folder for that file.
  * [3d366fc] d/rules: Remove any *.md files from installed demos folder
  * [57ec31c] d/copyright: Update due updated upstream modifications
    + Updating the copyright information as the source structure has been
      changed for various parts of the source code and contributors.
  * [a12125e0] d/kicad.lintian-overrides: Remove entries not needed any more

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Apr 2021 15:31:39 +0200

kicad (5.99.0+really5.1.12+dfsg1-1) unstable; urgency=medium

  * [f955904] New upstream version 5.99.0+really5.1.12+dfsg1
  * [bce8381] d/control: Point to branch debian/sid in field Vcs-Git

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Nov 2021 19:28:47 +0100

kicad (5.99.0+really5.1.11+dfsg1-1) unstable; urgency=medium

  * [ca676b1] d/*: Exchange various old homepage references for kicad-pcb.org
    (Closes: #997958)
  * [8e0e28a] d/gbp.conf: Ignore the upstream GitLab CI pipeline
  * [a765de2] New upstream version 5.99.0+really5.1.11+dfsg1
  * [37e3c18] d/control: Increase Standards-Version to 4.6.0
  * [a54b3d1] d/copyright: Update information due release of 5.1.11

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Oct 2021 19:38:59 +0100

kicad (5.99.0+really5.1.10+dfsg1-1) unstable; urgency=medium

  * [f3299a5] New upstream version 5.99.0+really5.1.10+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Apr 2021 21:34:34 +0200

kicad (5.99.0+really5.1.9+dfsg1-1) unstable; urgency=medium

  * [8ba5d7b] New upstream version 5.99.0+really5.1.9+dfsg1
    + Due some inglorious mistake by me I mixed up the upload that was
      targeted to experimental but unfortunately was made into unstable.
      To keep the version in unstable based on the current upstream stable
      version series this new upload is needed.
      As the version for the new upload needs to be greater than the previous
      one and I wanted to not use a epoch finally the suffix 'really5.1.9' is
      used to show that this version is *really* the previous old version 5.1.9!
      That suffix will get removed once we have reached some 6.x.x version.
      (Closes: #986455)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Apr 2021 07:46:05 +0200

kicad (5.1.9+dfsg1-1) unstable; urgency=medium

  * [0802fbc] d/watch: update watch file to capture GitLab source
  * [d7cfe17] d/control: increase Standards-Version to 4.5.1
    + No further changes needed.
  * [913659b] New upstream version 5.1.9+dfsg1
  * [35f735f] rebuild patch queue from patch-queue branch
    + modified patches:
      fixes/Modifing-the-Exec-cmd-in-the-desktop-files.patch
  * [78d671c] d/copyright: small update due removed folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 23 Dec 2020 19:51:45 +0100

kicad (5.1.8+dfsg1-1) unstable; urgency=medium

  * [56accba] New upstream version 5.1.8+dfsg1
  * [118ef3c] rebuild patch queue from patch-queue branch
    + added patch:
     fixes/Appdata-Add-missing-desktop-entry.patch
  * [01f080b] kicad-demos.install: split of installation
    + Install the shape1.txt file from kicad-demos into
      /usr/share/doc/kicad-demos.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 31 Oct 2020 12:58:23 +0100

kicad (5.1.7+dfsg1-1) unstable; urgency=medium

  * [7e58f43] New upstream version 5.1.7+dfsg1
  * [07e89fe] autopkg: mark current test superficial
    + The current only used autopkgtest is simply trying to import the Python3
      module of kicad but is nothing doing anything further. This ensures we
      can load the module, but at all it is just a superficial check.
  * [f4a9cf3] d/kicad.install.in: remove no longer available file
    + kicad-ogltest isn't built any more and so we can't install this any
      longer.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Sep 2020 10:36:57 +0200

kicad (5.1.6+dfsg1-1) unstable; urgency=medium

  * [9b510bb] d/control: Remove transitional package kicad-common
    + kicad-common is replaced by kicad-libraries, the transition of these
      two packages was done within the Debian buster release. We can drop now
      the old -common package for real.
  * [fdd52e9] d/copyright: update upstream source for KiCad app
    + Some source code resources of the KiCad project have been changed since
      the project has moved to GitLab, update the information within the
      copyright file.
  * [a77b08e] d/copyright: update years on contributors
    + The annual update for various parts of the source code and contributors.
  * [b98cb97] dh: move to dh-compat 13
    + Increasing the debhelper version to 13 as this is the most recent
      version.
  * [a300c96] New upstream version 5.1.6+dfsg1
  * [2aed90b] d/control: adding Rules-Requires-Root to source section
  * [d2e5861] d/rules: More split off into arch/indep targets
    + Moving to dh 13 requires more separation of the -arch and -indep targets.
      dh_missing is now also more picky about files that are installed by the
      upstream build system but not into one of the binary packages.
      Due the ongoing Python2 removal in bulleseye we currently don't want to
      install the files
       usr/share/doc/kicad/scripts/lib_convert.py
       usr/share/doc/kicad/scripts/test_plugin.py
       usr/share/doc/kicad/scripts/test_kicad_plugin.py
       usr/share/doc/kicad/scripts/ddr3_length_match.py
      as these are not Python3 ready.
  * [49139de] d/watch: Adjust used resource onto GitLab

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 May 2020 20:41:22 +0200

kicad (5.1.6~rc1+dfsg1-1) unstable; urgency=medium

  * [1e1aecc] New upstream version 5.1.6~rc1+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Apr 2020 22:14:53 +0200

kicad (5.1.6~20200411+dfsg1-1) experimental; urgency=medium

  * [7f9e64d] New upstream version 5.1.6~20200411+dfsg1
    + Snapshot from 11th April 2020 from the KiCad 5.1 branch from
      commit ID 305ed0b.
  * [b80db87] rebuild patch queue from patch-queue branch
    + removed patch
      debian-hacks/Removing-hyphen-inside-KICAD_FULL_VERSION.patch
  * [7eae5b3] d/control: increase Standards-Version to 4.5.0
    + No further changes needed.
  * [5e454a1] d/control: update upstream URL to use https
    + The project homepage is now also available by https.
  * [f3a592d] d/rules: substitute KICAD_VERSION with DEB_VERSION
    + Upstream is using a mechanism that allows one to append some extra
      string onto the given string KICAD_VERSION. But this is not allowing any
      modification of KICAD_VERSION itself. This makes it impossible to place
      a given full Debian version into the application in case we don't build
      on top of a tagged upstream version. Like here for this snapshot release.
      Stop using EXTRA_VERSION and replace KICAD_VERSION right before the
      build.
  * [51c07e3] d/copyright: small update due renamed file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Apr 2020 12:09:16 +0200

kicad (5.1.5+dfsg1-2) unstable; urgency=medium

  * [c57214d] build against upstream Opencasacde (OCC) libraries
    + Libraries from the Open CASCADE Technology company are more up to date
      than the previously used libraries from the Community edition (OCE).
      By the newer libraries versions KiCad is participating from more and
      better 3D functionalities.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Nov 2019 16:50:13 +0100

kicad (5.1.5+dfsg1-1) unstable; urgency=medium

  [ Ian McInerney ]
  * [b41c0a7] kicad: Pass NDEBUG into CXXFLAGS to disable assertions

  [ Carsten Schoenert ]
  * [84057fa] d/control: remove libboost-context-dev from B-D
     + This B-D isn't needed anymore as upstream has added the relevant
       source code parts locally. By this we can build the KiCad packages
       also on mips64el again.
    (Closes: #943590)
  * [204c6f3] Revert "d/control: adding clang to Build-Depends"
    + Clang isn't performing well on mips*. Especially the linker on
      mips64el is failing.
  * [a8aa287] Revert "d/rules: setting the clang compiler explicitly"
    + Using again the default values for DCMAKE_C{,XX}_COMPILER, means let
      the cmake configure run detect the compiler.
  * [7451345] d/control: increase B-D version on libglm-dev to 0.9.9.6-1
     + As we want to use GCC as compiler again we need GLM in version
       0.9.9.6 or greater.
  * [be77337] d/control: add misp64el as build arch again
    + By dropping the B-D on libboost-context-dev we can now enable again
      the architecture mips64el as supported platform again.
  * [c28fd9d] Python2 removal: drop B-D libpython-stdlib
    + This removes the last outstanding direct B-D on Python2.
    (Closes: 936792)
  * [468259c] New upstream version 5.1.5+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 18 Nov 2019 06:52:48 +0100

kicad (5.1.4+dfsg1-2) unstable; urgency=medium

  [ Eugene Kilachkoff ]
  * [d509c04] kicad: correct Python wxgtk dependency
    + Since the move over to build and link kicad against wxpython4 / Phoenix
      we didn't have updated the dependency on wxpython4 for the kicad binary.

  [ Carsten Schoenert ]
  * [ef511df] d/control: increase Standards-Version to 4.4.1
    + No further changes needed.
  * [c9e9e6b] dh: move over to debhelper-compat
  * [616e4e1] kicad: install one more file
    + Install also the new builded file kicad-ogltest.
  * [406bcb9] Lintian: update entries for package kicad

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Oct 2019 17:49:59 +0200

kicad (5.1.4+dfsg1-1) unstable; urgency=medium

  * [efe5b4e] d/copyright: correct reference on GPL-2
  * [37450d5] New upstream version 5.1.4+dfsg1
  * [7ee10e2] rebuild patch queue from patch-queue branch
    + removed patch:
      fixes/Workaround-failing-Eeschema-Chinese-PDF-generation.patch
  * [512a248] kicad.lintian-overrides: small update on the overrides

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Aug 2019 17:17:33 +0200

kicad (5.1.3+dfsg1-2) unstable; urgency=medium

  * [0067eec] d/copyright: update due also new files / folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Aug 2019 19:20:42 +0200

kicad (5.1.3+dfsg1-1) unstable; urgency=medium

  * [eeaa4f0] d/control: fix language in long desc for kicad-doc-id
     (Closes: #929688)
  * [45c1c57] d/control: re-add architecture ppc64el
     (Closes: #923713)
  * [9832569] d/control: increase Standards-Version to 4.4.0
    + No further changes needed.
  * [c175651] New upstream version 5.1.3+dfsg1
     (Closes: #926577, #927328, #931258)
  * [bbcd6cc] rebuild patch queue from patch-queue branch
    + added patch:
      fixes/Workaround-failing-Eeschema-Chinese-PDF-generation.patch
  * [274cdff] d/copyright: small update due removed file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Jul 2019 19:23:17 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kicad`.
